Subject: Re: Missing file in 2.23 (p5302-pack-index.subtests)?

From: "Theodore Y. Ts'o" <[email-masked]>
Date: Mon, 26 Aug 2019 22:58:11 -0400

On Mon, Aug 26, 2019 at 10:27:00PM -0400, Jeff King wrote:
> > cannot open test-results/p5302-pack-index.subtests: No such file or directory at ./aggregate.perl line 153.
> 
> Implies that we're trying to _write_ to it, and that the problem is that
> test-results doesn't exist. That should be set up by this part of
> perf-lib:

Hmm....   test-results does exist after the failure:

<tytso@lambda> {/usr/projects/git/git-core/t/perf}   (master)
1174% rm -rf test-results ; ./run p5302-pack-index.sh
=== Running 1 tests in this tree ===
warning: $GIT_PERF_LARGE_REPO is $GIT_BUILD_DIR.
warning: This will work, but may not be a sufficiently large repo
warning: for representative measurements.
not ok 1 - repack
#	
#		git repack -ad &&
#		PACK=$(ls .git/objects/pack/*.pack | head -n1) &&
#		test -f "$PACK" &&
#		export PACK
#	
cannot open test-results/p5302-pack-index.subtests: No such file or directory at ./aggregate.perl line 153.
<tytso@lambda> {/usr/projects/git/git-core/t/perf}   (master)
1175% ls test-results
total 0
0 run_subsections.names

Maybe we're not in the right cwd for some reason?!?

> There are some bits of test-lib.sh that re-exec the script, but I think
> we ironed out the weirdness there (and I use "--verbose-log" myself,
> which is one such option). But just in case: do you set GIT_TEST_OPTS in
> your config.mak?

You mean in my top-level directory?  I don't have a config.mak file in
there:

<tytso@lambda> {/usr/projects/git/git-core}   (master)
1151% grep GIT_TEST_OPTS config.mak.*
<tytso@lambda> {/usr/projects/git/git-core}   (master)
1181% ls config.mak*
 4 config.mak.autogen   4 config.mak.dev   4 config.mak.in  24 config.mak.uname
<tytso@lambda> {/usr/projects/git/git-core}   (master)
1182% grep GIT_TEST_OPTS config.mak.*

					- Ted